\documentclass[10pt]{article}
\usepackage[usenames]{color} %pour la couleur
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %utile pour taper directement les caractères accentués
\begin{document}
$
\begin{array}{c}
n = len(s)\\
\land\\
0 \leq res < n\\
\land\\
(\forall j (0 \leq i < res) \rightarrow \exists k (j < k < n) \land s[j] = s[k])\\
\land\\
(\forall j (res < j <  n) \rightarrow (s[j] \neq s[res]))
\end{array}
$
\end{document}
